QRTOOL-DECODE(1)

NAME
qrtool-decode - detect and decode a QR code

SYNOPSIS

qrtool decode [OPTION]... [IMAGE]

DESCRIPTION

This command detects and decodes a from a raster or vector image. By default, the result will be output to standard output.

Supported image file formats

    •

Use -t option to specify the image format. If this option is not specified, the image format is determined based on the extension or the magic number.

qrtool dec and qrtool d are aliases for this command.

POSITIONAL ARGUMENTS

IMAGE
    Input image file. If IMAGE is not specified, or if "-" is specified, the image will be read from standard input. Supported raster image formats are based on the formats supported by the crate. The format of IMAGE is determined based on the extension or the magic number if possible. If the format cannot be determined, use --type. Note that the SVG image is rasterized before scanning.

OPTIONS

-t, --type FORMAT
    The format of the input. If FORMAT is not specified, the format is determined based on the extension or the magic number.

    The possible values are:

        png
            Portable Network Graphics.

--verbose
    Also print the metadata. It is output to stderr. This option conflicts with --metadata.

--metadata
    Print only the metadata. It is output to stderr. This option conflicts with --verbose.

-h, --help
    Print help message. The short flag (-h) will print a condensed help message while the long flag (--help) will print a detailed help message.

-V, --version
    Print version number. The long flag (--version) will also print the copyright notice, the license notice and where to report bugs.

EXIT STATUS

0
    Successful program execution.

1
    An error occurred.

2
    An error occurred while parsing command-line arguments.

65
    The input data was incorrect in some way.

66
    An input file did not exist or was not readable.

69
    A service is unavailable.

71
    An operating system error has been detected.

74
    An error occurred while doing I/O on some file.

77
    You did not have sufficient permission to perform the operation.

NOTES

Source repository:

EXAMPLES

Detect and decode a QR code from the given image:
    $ qrtool decode input.png

Decode a QR code from the given WebP image:
    $ qrtool decode -t webp input.webp

Also print the metadata when decoding a QR code:
    $ qrtool decode --verbose input.qoi

REPORTING BUGS

Report bugs to:

COPYRIGHT

Copyright © 2022-2024 Shun Sakai and other contributors

    1. This program is distributed under the terms of either the Apache License 2.0 or the MIT License.

    2. This manual page is distributed under the terms of the Creative Commons Attribution 4.0 International Public License.

This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO

qrtool(1), qrtool-encode(1), qrtool-help(1), zbarimg(1)